# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Package-Anon
Version:	0.05
Release:	39.%{__distinit}%{__distvers}
Summary:	Anonymous packages
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Package-Anon
Source0:	https://cpan.metacpan.org/modules/by-module/Package/Package-Anon-%{version}.tar.gz
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(:VERSION) >= 5.14
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.30
# Module
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
# Test suite
BuildRequires:	perl(FindBin)
BuildRequires:	perl(lib)
BuildRequires:	perl(overload)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(Test::More)
# Release tests
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::EOL)
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
BuildRequires:	perl(Test::Pod) >= 1.41
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

# Avoid private object provides
%{?perl_default_filter}

%description
This module allows for anonymous packages that are independent of the main
namespace and only available through an object instance, not by name.

%prep
%setup -q -n Package-Anon-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test RELEASE_TESTING=1

%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/auto/Package/
%{perl_vendorarch}/Package/
%{_mandir}/man3/Package::Anon.3*

%changelog
* Fri Jun 14 2024 Paul Howarth <paul@city-fan.org> - 0.05-39
- Perl 5.40 rebuild

* Thu Jul 13 2023 Paul Howarth <paul@city-fan.org> - 0.05-35
- Perl 5.38 rebuild

* Mon May  8 2023 Paul Howarth <paul@city-fan.org> - 0.05-34
- Use SPDX-format license tag

* Wed Jun  1 2022 Paul Howarth <paul@city-fan.org> - 0.05-32
- Perl 5.36 rebuild

* Sun May 23 2021 Paul Howarth <paul@city-fan.org> - 0.05-29
- Perl 5.34 rebuild

* Sat Jun 27 2020 Paul Howarth <paul@city-fan.org> - 0.05-26
- Perl 5.32 rebuild

* Tue Jun  4 2019 Paul Howarth <paul@city-fan.org> - 0.05-23
- Perl 5.30 rebuild

* Thu Jun 28 2018 Paul Howarth <paul@city-fan.org> - 0.05-20
- Perl 5.28 rebuild

* Mon Aug  7 2017 Paul Howarth <paul@city-fan.org> - 0.05-18
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Mon Jun 12 2017 Paul Howarth <paul@city-fan.org> - 0.05-16
- Perl 5.26 rebuild

* Wed Sep 14 2016 Paul Howarth <paul@city-fan.org> - 0.05-14
- Fix FTBFS when perl is not in the minimal buildroot
- BR: perl-generators where available
- Drop redundant BuildRoot: tag
- Drop %%clean section, redundant since rpm 4.8

* Fri Apr 29 2016 Paul Howarth <paul@city-fan.org> - 0.05-12
- Fix FTBFS due to missing buildreq perl-devel
- Simplify find commands using -empty and -delete
- Drop redundant Group: tag

* Thu Sep 11 2014 Paul Howarth <paul@city-fan.org> - 0.05-8
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Sat Jul 20 2013 Paul Howarth <paul@city-fan.org> - 0.05-4
- Perl 5.18 rebuild

* Fri Jan  4 2013 Paul Howarth <paul@city-fan.org> - 0.05-1
- Initial RPM build
